std::ranges::contiguous_range(3cxx)

NAME
std::ranges::contiguous_range - A range for which ranges::begin returns a contiguous iterator.

SYNOPSIS

#include <ranges_base.h>

Concept definition

template<typename _Tp>
concept std::ranges::contiguous_range =  random_access_range<_Tp> && contiguous_iterator<iterator_t<_Tp>>
      && requires(_Tp& __t)
      {
        { ranges::data(__t) } -> same_as<add_pointer_t<range_reference_t<_Tp>>>;
      }

Detailed Description

A range for which ranges::begin returns a contiguous iterator.

Author

Generated automatically by Doxygen for libstdc++ from the source code.